#!/bin/bash

# INSTALL SCRIPT
# The install script is required for all templates.
# It is used to install the service on the server.
# It is called with the path to the server specific env file as an argument.


check_prerequisites() {
    # prerequisites:
    # - bash
    # - curl
    # - wget
    # - docker

    PREREQUISITES=("bash" "curl" "wget" "jq" "docker")

    # check if all prerequisites are installed
    for prerequisite in "${PREREQUISITES[@]}"; do
        if ! command -v "${prerequisite}" &> /dev/null; then
            echo "Prerequisite: ${prerequisite} is not installed."
            exit 1
        fi
    done
}

check_prerequisites
exit 0

